Skip to main content
Employments webhooks will notify your system when:
  • A new employment object is added after a newly connected payroll account is scanned with an initial scan.
  • An existing employment object is updated with new information after a periodic scan.

Added

POST /v1/webhooks Implement the employments.added webhook to know when an employments object is added.
  • A new employment object is added when a new account object is created and scanned.

Request body

Webhook message

  • name (string, optional): Name used for the webhook subscription.
  • data (object, optional)
  • account (string (uuid), optional): ID of the account.
  • user (string (uuid), optional): ID of the user.
  • employment (string (uuid), optional): ID of the employment.

Updated

POST /v1/webhooks Implement the employments.updated webhook to know when an employments object is updated.
  • Employment objects are updated through periodic scanning.

Request body

Webhook message

  • name (string, optional): Name used for the webhook subscription.
  • data (object, optional)
  • account (string (uuid), optional): ID of the account.
  • user (string (uuid), optional): ID of the user.
  • employment (string (uuid), optional): ID of the employment.